/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
int l_219(double *l_38, double *l_39, int *l_32, int *m, int *n, double *eps);
int l_220(double *a, int *l_32, int *n, int *l_221, double *rcond, double *l_64);
int l_220(double *l_38, double *l_39, int *l_32, int *n, int *l_221, double *rcond, double *l_65, double *l_66);
int l_222(double *a, int *l_32, int *n, int *l_221, double *det, double *l_223, int *l_86);
int l_222(double *l_38, double *l_39, int *l_32, int *n, int *l_221, double *l_224, double *l_225, double *l_226, double *l_227, int *l_86);
int l_228(double *a, int *l_32, int *n, int *l_221, int *l_229);
int l_228(double *l_38, double *l_39, int *l_32, int *n, int *l_221, int *l_229);
int l_230(double *a, int *l_32, int *n, int *l_221, double *l_33, int *l_86);
int l_230(double *l_38, double *l_39, int *l_32, int *n, int *l_221, double *l_40, double *l_41, int *l_86);
int l_231(double *a, int *l_32, int *n, int *l_229);
int l_231(double *l_38, double *l_39, int *l_32, int *n, int *l_229);
int l_232(double *x, int *l_233, int *n, int *p, double *l_234, int *l_235, double *l_223, int *l_86);
int l_232(double *l_2, double *l_13, int *l_233, int *n, int *p, double *l_236, double *l_237, int *l_235, double *l_226, double *l_227, int *l_86);
int l_238(double *x, int *l_233, int *n, int *l_30, double *l_234, double *y, double *l_239, double *l_240, double *l_33, double *l_241, double *l_242, int *l_86, int *l_229);
int l_238(double *l_2, double *l_13, int *l_233, int *n, int *l_30, double *l_236, double *l_237, double *l_17, double *l_18, double *l_243, double *l_244, double *l_245, double *l_246, double *l_40, double *l_41, double *l_247, double *l_248, double *l_249, double *l_250, int *l_86, int *l_229);
int l_251(double *x, int *l_233, int *n, int *p, double *s, double *l_1, double *l_143, int *l_252, double *v, int *l_253, double *l_223, int *l_86, int *l_229);
int l_251(double *l_2, double *l_13, int *l_233, int *n, int *p, double *l_16, double *si, double *l_254, double *l_255, double *l_256, double *l_257, int *l_252, double *l_258, double *l_259, int *l_253, double *l_226, double *l_227, int *l_86, int *l_229);
